#ifndef _GeoFun_GeoFun_h
#define _GeoFun_GeoFun_h

#include <CtrlLib/CtrlLib.h>
#include <Painter/Painter.h>

using namespace Upp;

#define LAYOUTFILE <GeoFun/GeoFun.lay>
#include <CtrlCore/lay.h>

#define IMAGEFILE <GeoFun/GeoFun.iml>
#include <Draw/iml_header.h>

struct ColorPolygon : Moveable<ColorPolygon> {
	Vector<Pointf> point;
	Color          color;
	int			   penwidth;
	bool		   filled ;
};

	Vector<ColorPolygon> data;

class DrawCanvas : public ParentCtrl {
typedef DrawCanvas CLASSNAME ;
public:
	virtual void   Paint(Draw& drw);
	DrawCanvas();
	void DoPaint0(Painter& sw);
	void DoPaint(Painter& sw);
};


class GeoFun : public WithGeoFunLayout<TopWindow> {
public:
	typedef GeoFun CLASSNAME;
	GeoFun();
	
	Splitter sp1;
	
	WithInputLayout<ParentCtrl> InputPane ;

	DrawCanvas dc1;	
	
	void PrepareData();
	void FirstDraw();
};

#endif
